This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 523489 - 32-bit rawhide xen kernel spins 100% cpu booting on CentOS 5.2 Dom0
32-bit rawhide xen kernel spins 100% cpu booting on CentOS 5.2 Dom0
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
All Linux
medium Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F12VirtTarget
  Show dependency treegraph
 
Reported: 2009-09-15 13:29 EDT by Orion Poplawski
Modified: 2009-11-20 16:55 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-20 16:55:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Orion Poplawski 2009-09-15 13:29:56 EDT
Description of problem:

Trying to install a 32-bit xen guest on CentOS 5.2 Dom0.  Get:

# virt-install -n xenfdev32 -r 512 --vcpus=1 -m 40:00:00:00:00:01 --arch=i386 -p -f /dev/rootvg/xenfdev32 -l http://fedora.cora.nwra.com/fedora/linux/development/i386/os -x 'ks=http://sw.cora.nwra.com/ks/rawhide-nox.cfg' --vnc


Starting install...
Retrieving file .treeinfo...                                  | 1.4 kB     00:00
Retrieving file .treeinfo...                                  | 1.4 kB     00:00
Retrieving file vmlinuz-PAE...                                | 3.6 MB     00:00
Retrieving file initrd-PAE.img...                             |  31 MB     00:01
Creating domain...                                            |    0 B     00:05

xen top shows xenfdev32 spinning using 99% cpu.  No console log output.  

xend.log:

[2009-09-15 10:36:53 xend.XendDomainInfo 3376] DEBUG (XendDomainInfo:797) Storing VM details: {'shadow_memory': '0', 'uuid': 'c9a73392-6d9b-1946-6670-ff82ff398361', 'on_reboot': 'destroy', 'start_time': '1253032613.52', 'on_poweroff': 'destroy', 'name': 'xenfdev32', 'xend/restart_count': '0', 'vcpus': '1', 'vcpu_avail': '1', 'memory': '512', 'on_crash': 'destroy', 'image': "(linux (kernel /var/lib/xen/virtinst-vmlinuz-PAE.tVxzBz) (ramdisk /var/lib/xen/virtinst-initrd-PAE.img.ju6oc9) (args 'ks=http://sw.cora.nwra.com/ks/rawhide-nox.cfg method=http://fedora.cora.nwra.com/fedora/linux/development/i386/os'))", 'maxmem': '512'}                                                  
[2009-09-15 10:36:53 xend.XendDomainInfo 3376] DEBUG (XendDomainInfo:832) Storing domain details: {'console/ring-ref': '1190534', 'console/port': '2', 'name': 'xenfdev32', 'console/limit': '1048576', 'vm': '/vm/c9a73392-6d9b-1946-6670-ff82ff398361', 'domid': '13', 'cpu/0/availability': 'online', 'memory/target': '524288', 'store/ring-ref': '1228419', 'store/port': '1'}
[2009-09-15 10:36:53 xend.XendDomainInfo 3376] DEBUG (XendDomainInfo:1036) XendDomainInfo.handleShutdownWatch
[2009-09-15 10:36:53 xend 3376] DEBUG (DevController:154) Waiting for devices vif.
[2009-09-15 10:36:53 xend 3376] DEBUG (DevController:160) Waiting for 0.
[2009-09-15 10:36:53 xend 3376] DEBUG (DevController:496) hotplugStatusCallback /local/domain/0/backend/vif/13/0/hotplug-status.
[2009-09-15 10:36:55 xend 3376] DEBUG (DevController:496) hotplugStatusCallback /local/domain/0/backend/vif/13/0/hotplug-status.
[2009-09-15 10:36:55 xend 3376] DEBUG (DevController:510) hotplugStatusCallback 1.
[2009-09-15 10:36:55 xend 3376] DEBUG (DevController:154) Waiting for devices usb.
[2009-09-15 10:36:55 xend 3376] DEBUG (DevController:154) Waiting for devices vbd.
[2009-09-15 10:36:55 xend 3376] DEBUG (DevController:160) Waiting for 51712.
[2009-09-15 10:36:55 xend 3376] DEBUG (DevController:496) hotplugStatusCallback /local/domain/0/backend/vbd/13/51712/hotplug-status.
[2009-09-15 10:36:55 xend 3376] DEBUG (DevController:496) hotplugStatusCallback /local/domain/0/backend/vbd/13/51712/hotplug-status.
[2009-09-15 10:36:55 xend 3376] DEBUG (DevController:510) hotplugStatusCallback 1.
[2009-09-15 10:36:55 xend 3376] DEBUG (DevController:154) Waiting for devices irq.
[2009-09-15 10:36:55 xend 3376] DEBUG (DevController:154) Waiting for devices vkbd.
[2009-09-15 10:36:55 xend 3376] DEBUG (DevController:160) Waiting for 0.
[2009-09-15 10:36:55 xend 3376] DEBUG (DevController:496) hotplugStatusCallback /local/domain/0/backend/vkbd/13/0/hotplug-status.
[2009-09-15 10:36:55 xend 3376] DEBUG (DevController:510) hotplugStatusCallback 1.
[2009-09-15 10:36:55 xend 3376] DEBUG (DevController:154) Waiting for devices vfb.
[2009-09-15 10:36:55 xend 3376] DEBUG (DevController:160) Waiting for 0.
[2009-09-15 10:36:55 xend 3376] DEBUG (DevController:496) hotplugStatusCallback /local/domain/0/backend/vfb/13/0/hotplug-status.
[2009-09-15 10:36:55 xend 3376] DEBUG (DevController:510) hotplugStatusCallback 1.
[2009-09-15 10:36:55 xend 3376] DEBUG (DevController:154) Waiting for devices pci.
[2009-09-15 10:36:55 xend 3376] DEBUG (DevController:154) Waiting for devices ioports.
[2009-09-15 10:36:55 xend 3376] DEBUG (DevController:154) Waiting for devices tap.
[2009-09-15 10:36:55 xend 3376] DEBUG (DevController:154) Waiting for devices vtpm.
[2009-09-15 10:36:55 xend 3376] INFO (XendDomain:380) Domain xenfdev32 (13) unpaused.
[2009-09-15 11:04:17 xend 3376] INFO (XendDomain:398) Domain xenfdev32 (13) paused.
[2009-09-15 11:04:17 xend 3376] INFO (XendDomain:415) Domain core dump requested for domain xenfdev32 (13) live=0 crash=0.
[2009-09-15 11:04:17 xend.XendDomainInfo 3376] ERROR (XendDomainInfo:1113) XendDomainInfo.dumpCore failed: id = 13 name = xenfdev32
Traceback (most recent call last):
  File "/usr/lib64/python2.4/site-packages/xen/xend/XendDomainInfo.py", line 1108, in dumpCore
    xc.domain_dumpcore(self.domid, corefile)
Error: (1, 'Internal error', "Couldn't map p2m_frame_list_list (errno 14) (14 = Bad address)")
[2009-09-15 11:04:17 xend 3376] INFO (XendDomain:380) Domain xenfdev32 (13) unpaused.

Last error from attempting to run xm dump-core.

# /usr/lib64/xen/bin/xenctx -s /data/sw1/tmp/boot/System.map-2.6.31-12.fc12.i686.PAE 13
rip: 00010000
rsp: c040a66c0061040b
rax: c083c3cc00610402   rbx: e021c0a05d00       rcx: c083c4f800610703   rdx: c040a63000610704
rsi: c040a63c00610405   rdi: c040a64800610406   rbp: 120200000061
 r8: c083c37000610401    r9: c040a69000610400   r10: e0000000d8 r11: 7b0000007b
r12: c04a022c00fc0000   r13: c0a05d14   r14: 9c0a05e80  r15: 1fcef000
 cs: 00000409    ds: 0000040e    fs: 0000040f    gs: 00000410
Comment 1 Chris Lalancette 2009-09-17 09:51:22 EDT
(In reply to comment #0)
> Description of problem:
> 
> Trying to install a 32-bit xen guest on CentOS 5.2 Dom0.  Get:

Based on your information below, I assume this is 64-bit dom0?  If so, 5.2 is known to not work very well with 32-bit PV guest on 64-bit dom0.  Please try upgrading your dom0 to 5.4 first.  If the problem persists, then we should at least be able to get the core-dump out of it.

Chris Lalancette
Comment 2 Orion Poplawski 2009-11-20 16:55:16 EST
Appears to be working fine with 5.4 and latest rawhide.

Note You need to log in before you can comment on or make changes to this bug.